File paprefs.changes of Package paprefs

-------------------------------------------------------------------
Thu Jan 30 11:15:01 UTC 2020 - Dominique Leuenberger <dimstar@opensuse.org>

- No longer recommend -lang: supplements are in use

-------------------------------------------------------------------
Tue Jul 23 22:12:41 UTC 2019 - Bjørn Lie <bjorn.lie@gmail.com>

- Update to version 1.1:
  + Replace dbus-glib and libdbus with gdbus.
  + Use module-combine-sink instead of module-combine.
- Drop paprefs-module-combine-sink.patch: Fixed upstream.
- Drop pkgconfig(dbus-glib-1) BuildRequires: No longer needed.
- Drop conditional post(un) handling of desktop_database_post(un)
  for obsolete versions of openSUSE, not needed for any currently
  supported version.
- Replace gcc-c++ with c++_compiler BuildRequires.

-------------------------------------------------------------------
Fri Oct  5 16:37:01 UTC 2018 - bjorn.lie@gmail.com

- Update to version 1.0:
  + Port to meson.
- Stop using source service, new stable release out.
- Add meson BuildRequires and corresponding macros following
  upstreams port to meson.
- Drop intltool, libtool and lynx BuildRequires, no longer needed.
- Rebase paprefs-module-combine-sink.patch to upstream committed.

-------------------------------------------------------------------
Tue Jun 19 10:46:40 UTC 2018 - bjorn.lie@gmail.com

- Add pulseaudio-module-gsettings Requires: paprefs now stores it's
  settings in GSettings.

-------------------------------------------------------------------
Mon Jun 04 10:12:39 UTC 2018 - bjorn.lie@gmail.com

- Update to version 0.9.10+20180501.534d20a:
  + rename "module" to "module-group" in GSettings schemas and
    paths.
  + remove paprefs.convert.
  + Port from GTK2 to GTK3.
  + fix GSettings pkg-config dependency.
  + remove the GSettings schema file.
  + README: remove references to module-gconf.
  + build-sys: remove the gconf dependency.
  + Move from GConf to GSettings.
  + Added fixed port 5004 option for rtp sender.
  + doc: Drop 0pointer.de references.
  + modules: Better code for working out the dynamic module dir.
  + Do not require a recompile for each new PA version in order to
    detect the modules.
- Switch to gitcheckout via sources service, following this, add
  libtool and lynx BuildRequires, and pass boostrap.sh, now needed.
- Run spec-cleaner, modernize spec.
- Drop gconfmm-devel, libglademm-devel and xz BuildRequires, drop
  pulseaudio-module-gconf Requires: no longer after upstreams port
  and changes in obs.
- Add pkgconfig(dbus-glib-1), pkgconfig(giomm-2.4),
  pkgconfig(gtkmm-3.0), pkgconfig(libpulse) and
  pkgconfig(sigc++-2.0) BuildRequires, new dependencies.
- Replace libpulse-devel with pkgconfig(libpulse) BuildRequires.
- Rebase paprefs-module-combine-sink.patch.

-------------------------------------------------------------------
Fri Aug  8 13:54:02 UTC 2014 - fcrozat@suse.com

- Improve category to .desktop file.

-------------------------------------------------------------------
Fri Sep 27 15:23:57 UTC 2013 - oholecek@suse.cz

- Add paprefs-module-combine-sink.patch: use 'module-combine-sink'
  instead of obsoleted 'module-combine' (bnc#820594).

-------------------------------------------------------------------
Tue Sep 27 16:08:49 UTC 2011 - vuntz@opensuse.org

- Update to version 0.9.10:
  + Minor tidyups
  + Should no longer require recompiling with each new PA version
- Drop paprefs-packagekit.patch: fixed upstream.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.

-------------------------------------------------------------------
Wed Sep 14 09:04:31 UTC 2011 - vuntz@opensuse.org

- Add explicit dbus-1-glib-devel BuildRequires: it used to be
  brought in by something else before.

-------------------------------------------------------------------
Thu Jul 28 15:42:44 CEST 2011 - vuntz@opensuse.org

- Add pulseaudio-module-gconf Requires, since paprefs sets gconf
  keys, which are only read if pulseaudio-module-gconf is
  installed. Might fix bnc#702549.

-------------------------------------------------------------------
Sat Feb 12 19:37:21 CET 2011 - vuntz@opensuse.org

- Call relevant macros in %post/%postun:
  + %desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %{?no_lang_C} to %find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Split lang subpackage.

-------------------------------------------------------------------
Sun Sep  5 17:32:14 CEST 2010 - vuntz@opensuse.org

- Do not add AudioVideo, SystemSetup, Mixer categories to
  paprefs.desktop, but just HardwareSettings so that the item
  appears with the sound preferences.

-------------------------------------------------------------------
Wed Feb 10 17:54:48 UTC 2010 - sreeves@novell.com

- Add paprefs-packagekit.patch: only show install buttons if
  packagekit service is available

-------------------------------------------------------------------
Sat Sep 19 21:14:14 UTC 2009 - sreeves@novell.com

- Update to version 0.9.9
  + wrap upnp mediaserver
  + implement basic packagekit support

-------------------------------------------------------------------
Thu Aug 20 19:00:09 CEST 2009 - sreeves@novell.com

- Fix directory where we look for pulse modules

-------------------------------------------------------------------
Sat Aug 15 15:11:40 CEST 2009 - beineri@opensuse.org

- put it into same start menu category than the other PA stuff

-------------------------------------------------------------------
Thu May  7 02:49:38 CEST 2009 - vuntz@novell.com

- Review changes.
- Use parallel make.
- Use standard commands for clean section.
- Drop paprefs-0.9.6-libintl-fix.diff: not needed anymore,
  apparently.
- Drop paprefs-desktop-fix.diff and paprefs.png: there's no reason
  to change the icon like this. It was probably needed for a
  rpmlint warning, but it's fine now.
- Remove autoreconf call, which isn't needed anymore.

-------------------------------------------------------------------
Thu Apr 30 19:56:00 CET 2009 - opensuse@sukimashita.com

- Update to version 0.9.8:
  + Add RAOP (Apple Airport Express) enabling support
  + Updated translations
- Drop paprefs-speaker-setup.patch: this is obsoleted by pulseaudio
  0.9.15, see discussion at http://pulseaudio.org/ticket/164

-------------------------------------------------------------------
Mon Sep 15 13:58:59 CEST 2008 - rodrigo@suse.de

- Update to version 0.9.7 (fate#303943):
  + Explicitly include libintl.h for FreeBSD compat
  + Modernize bootstrap.sh
  + Revert accidental license change
  + Minor updates
  + Updated translations

-------------------------------------------------------------------
Mon Jun  2 17:49:29 CEST 2008 - rodrigo@suse.de

- Upstream patch that hadn't been upstreamed 

-------------------------------------------------------------------
Wed May 14 18:30:34 CEST 2008 - rodrigo@suse.de

- Added paprefs-speaker-setup.patch to add a GUI for setting
  different speaker setups (bnc#381686) 

-------------------------------------------------------------------
Fri Jan 11 19:59:31 CET 2008 - rodrigo@suse.de

- Depend on libpulse-devel, not pulseaudio-devel 

-------------------------------------------------------------------
Mon Nov  5 15:21:22 CET 2007 - tiwai@suse.de

- add missing inclusion of libintl.h

-------------------------------------------------------------------
Wed Oct 31 16:14:03 CET 2007 - tiwai@suse.de

- updated to version 0.9.6:
  * rework UI
  * add support to enable automatic zeroconf discovery
  * automatic device combination
  * i18n support

-------------------------------------------------------------------
Wed Jun 13 16:34:40 CEST 2007 - tiwai@suse.de

- initial version: 0.9.5
openSUSE Build Service is sponsored by